M3HoleDiam = 3.4;
M4HoleDiam = 4.4;

M3NutDiam=6.01+.4;

M3HeadDiam = 5.8;

module M3Hole(thickness) {
    rotate([0, 90, 0]) cylinder(h = thickness, d = M3HoleDiam);
}

module M4Hole(thickness) {
    rotate([0, 90, 0]) cylinder(h = thickness, d = M4HoleDiam);
}

module M3Nut(thickness) { 
    rotate([0, 90, 0]) cylinder(h = thickness, d = M3NutDiam, $fn=6);
}

module M3Head(thickness) {
    rotate([0, 90, 0]) cylinder(h = thickness, d = M3HeadDiam);
}